Name: 		perl-Class-Inspector
Version: 	1.12
Release: 	2%{?dist}
Summary: 	Get information about a class and it's structure
License: 	GPL or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/Class-Inspector/
Source0: 	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Class-Inspector-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: noarch

# For better test coverage
BuildRequires: perl(Test::Pod) >= 1.00

%description
Class::Inspector allows you to get information about a loaded class.
Most or all of this information can be found in other ways, but they aren't
always very friendly, and usually involve a relatively high level of Perl
wizardry, or strange and unusual looking code. Class::Inspector attempts to
provide an easier, more friendly interface to this information.

%prep
%setup -q -n Class-Inspector-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Class
%{_mandir}/man3/*

%changelog
* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.12-2
- Fix typo in %%summary.
- Spec file cleanup.

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 1.12-1
- FE submission.
